TestLayer.Poly (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.test
Class TestLayer.Poly

    java.lang.Object
      com.bbn.openmap.layer.test.TestLayer.GraphicBase
          com.bbn.openmap.layer.test.TestLayer.Poly

Enclosing class:
  TestLayer

    protected class TestLayer.Poly

extends TestLayer.GraphicBase

Field Summary
`protected int` | `cMode`
`protected float` | `lat`
`protected float` | `lon`

Fields inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`fillColor, height, isFilled, lineColor, llpts, nsegs, radius, rt, type, visible, width, xypts`

Constructor Summary
`TestLayer.Poly()`

Method Summary
`javax.swing.JPanel` | `getGUI()`
`protected void` | `setLL(javax.swing.JTextArea jta)`
`protected void` | `setLLCoordinate(javax.swing.JTextField jtf, int i)`
`protected void` | `setVertices(java.lang.String verts)`
`protected void` | `setXY(javax.swing.JTextArea jta)`

Methods inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`getOKButton, makeColorBox, makeFillCheckBox, setRender, setSegs, setType, setXYCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lat

    protected float lat

### lon

    protected float lon

### cMode

    protected int cMode

Constructor Detail

### TestLayer.Poly

    public TestLayer.Poly()

Method Detail

### setVertices

    protected void setVertices(java.lang.String verts)

### setXY

    protected void setXY(javax.swing.JTextArea jta)

### setLL

    protected void setLL(javax.swing.JTextArea jta)

### setLLCoordinate

    protected void setLLCoordinate(javax.swing.JTextField jtf,
                                   int i)

  Overrides:
    `setLLCoordinate` in class `TestLayer.GraphicBase`

### getGUI

    public javax.swing.JPanel getGUI()

  Specified by:
    `getGUI` in class `TestLayer.GraphicBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details